Bug 860036 - Jenkins Server no longer displays "available" plugins for installation
Jenkins Server no longer displays "available" plugins for installation
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Dan Mace
libra bugs
Depends On:
Blocks: 892788
  Show dependency treegraph
Reported: 2012-09-24 13:03 EDT by Sumana Annam
Modified: 2015-05-14 18:59 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 892788 (view as bug list)
Last Closed: 2012-09-28 15:26:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Sumana Annam 2012-09-24 13:03:57 EDT
Description of problem:

Created Jenkins application - all good. Navigated to "Manage plug-ins -> Available" tab but it is an empty list. Also on the "manage jenkins" page, I see an error about "It appears that your reverse proxy set up is broken." Seems like Jenkins is unable to reach outside hence empty available plugin list ??

Version-Release number of selected component (if applicable):
Jenkins ver. 1.457

How reproducible:

Steps to Reproduce:
1. Create Jenkins application
2. Go to "Manage plug-ins -> Available"
3. Go to "Manage Jenkins"
Actual results:

Expected results:

Additional info:
Comment 1 Sumana Annam 2012-09-24 13:05:14 EDT
One of the OpenShift user also raised this issue today:

Comment 2 Jianwei Hou 2012-09-25 06:46:31 EDT
To install plugin go to Manage Jenkins -> Manage Plugins -> Advanced, at buttom right click "Check now" to update jenkins.
After this is done, the available tab won't be empty and user should be able to manage and install plugins

auto update is disabled due to bug 836204
Comment 3 Sumana Annam 2012-09-25 13:33:09 EDT
Thanks  Hou; do you know how long "check now" operation takes ? Its been 30 mins and all I see is a page with the message:

"Checking Updates...

Go back to update center"

Also what about the message "It appears that your reverse proxy set up is broken."- is it benign ?
Comment 4 Sumana Annam 2012-09-25 20:07:39 EDT
Hou: There was something wrong with my jenkins server application; recreating a new jenkins server application cleared up the problem. Your instructions from comment 2 worked great. I may create a KB article on this.

Thanks for your help!
Comment 5 John Poelstra 2012-09-28 14:40:42 EDT
developer will attempt to reproduce
Comment 6 Dan Mace 2012-09-28 15:26:32 EDT
Closing this issue, as there is no bug.  To populate the lists of available updates, comment 2 has it right:  The user must explicitly press the button in the Update Center to check for updates.

In a future release, we may use the Jenkins REST API to fire this update during cart installation; however, the API is only available in Jenkins 1.467+, which we do not currently support.

Note You need to log in before you can comment on or make changes to this bug.